#!/usr/bin/perl -w
use strict();

unless(@ARGV){
    print("Usage: script.pl file_name");
    exit();
}
    
my ($fname) = @ARGV;

print <<_HEADER_;
<html>
<head>
</head>
<body>
<table border="1" cellpadding="0" cellspacing="0">
_HEADER_

open(FH, $fname) or die "$!";
while(<FH>){
    chomp($_);    
    $_ =~ s/(\w+)\;(\w+)/<tr><td>$1<\/td><td>$2<\/td><\/tr>/ig;
    $_ =~ s/\;//ig;    
    print $_."\n";
}
close(FH);

print <<_FOOTER_;
</table>
</body>
</html>
_FOOTER_

exit();
